================================================================================
Intel(R) Server Board S3420GPLX, S3420GPLC BIOS Release Notes
================================================================================
INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
================================================================================
DATE    : Mar 5, 2010
TO      : Intel(R) Server Platform customers
SUBJECT : BIOS Release notes for version R0040
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2010 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Version : S3420GP.86B.01.00.0040
Build Date    : Feb 11, 2010

================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
Quad-Core Intel(R) Xeon(R) Processor 3400 Series
Dual-Core Intel(R) Core(R) i3-540, i3-530 CPU

Microcode update versions:
CPUID     Version
0x106E5   0x00000003
0x20652   0x00000008

On-Board Component Option ROM Versions: N/A
LSI SWRAID Oprom                : ESRT2 A.09.07211059I
Intel Matrix RAID Oprom	        : 8.9.0.1023
Intel iSCSI Boot Oprom 	        : v2.3.62
IBMC Matrox VGA			: VBE BIOS V3.8SL
82574L PXE Version		: Intel(R) Boot Agent GE v1.3.24
82578DM PXE Version		: Intel(R) Boot Agent GE v1.3.35
82576 PXE Version               : Intel(R) Boot Agent GE v1.3.38
82578DM EEPROM Version		: v3.1
82574L EEPROM Version		: v1.0
Management Engine Firmware Version  : 6.0.30.1199

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
  UEFI iFlash32 2.6 Build 14  
  
Production boards:
  Product           BIOS                           BMC	    FRUSDR
  S3420GP           S3420GP.86B.01.00.0022      01.10                  12
  
IMPORTANT Notice: 
 1. Intel(R) Core(R) i3-540, i3-530 C2 CPU must work with Ignition ME FW 6.0.20.1185
    or later version.
 2. Please clear CMOS after BIOS update to activate ME-FW 1185 or later version.

================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Updating from BIOS revisions R35 or later:

User can update BIOS flash image via either of the follow methods...
A. UEFI iFlash32 2.6 Build 14
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS R0040.CAP file to a HD or USB Flash Drive       
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt (or call "startup.nsh")
	   fs0:\> IFlash32 R0040.CAP /u /ni
   6.  Reboot system after the update is completed.

================================================================================
                        ME FIRMWARE UPDATE INSTRUCTIONS
================================================================================
A. UEFI iFlash32 2.6 Build 14
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and ME.CAP file to a HD or USB Flash Drive
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
           fs0:\> IFlash32 ME.CAP /u /ni
   6.  AC cycle the system after the update is completed.


================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================
 - Intel(R) Core(TM) Processor i3 series must work with Ignition ME FW 6.0.20.1185 or later version.
 - Please clear CMOS after BIOS update to activate ME-FW 1185 or later version.

================================================================================
                              FEATURES ADDED/REMOVED
================================================================================   
 - None
================================================================================
                              FIXED ISSUES
================================================================================  
                                R0040
================================================================================
  -  BIOS to workaround the 1-5-4-2 BEEP issue.

================================================================================
                                R0039
================================================================================
  -  Fixed R38 install Win2k8 64bit UEFI system, the screen displays abnormality. 

================================================================================
                                R0038
================================================================================
  -  Update ME F/W to 1199
  -  Fix PCIe error detected by AER root error status, and shorten Suse11 boot 
     black screen time. 
  -  Data parity error - PERR and Address parity error - SERR test fail.
  -  Add help string to DHCP host name. 

================================================================================
                                R0037
================================================================================
  -  Fix SMBIOS type 10 onboard device LAN string
  -  Fix in EWS P1 thermal ctrl sensor reading is abnormal
  -  Non-production processor uCode removal

================================================================================
                                R0036
================================================================================
  -  Fix BIOS display "BMC DHCP host name" error when length is 16byte
  -  Fix SOL screen shows fuzzy information on S3420GPLX board
  -  Fix BIOS help string update in "Core Multi-Processing" item
  -  Intel(R) Core(R) CPU uCode update to 009

================================================================================
                                R0035
================================================================================
  -  BIOS Help string update after changing HT/VT in CPU. 

================================================================================
                                R0034
================================================================================
  -  Fixed SUSE11 installation fatal error issue.
  -  Fixed SATA/CDROM detection issue on GP

================================================================================
                                R0033
================================================================================
  -  Insert the two same card to PCIE slotsSystem can't power up if Insert the two
     same card to PCIE slots.
  -  SATA detection issue.
  -  Address and IRQ can't be set to "2F8" and "3" for Serial port A. 
  -  Fixed processor run low frequency when eist,turo mode disable and change core
     number to 1.
  -  Fixed Caterr singal is wrong.
  -  The system will auto wake up from S1 with Quad Port GB IO Module populate.
  -  Merge MemoryInit.c Rev#15 with Rev#11 to a new Rev#17.
  -  BIOS variable 'SetupCtrl' is not seen on dumpstore when booted without F2.
  -  Type field value of SMBIOS type3 show incorrect. 
  -  SMBIOS type1 show incorrect when wake up the system. 
  -  USB device re-ordering isn't disable when install administrator password.
  -  HDD fault LED was blinking abnormally.
  -  Change CMOS_PCH_THERMAL_TRIP_OFFSET value which is conflict with
     CMOS_WAK_TYPE_STORE in DR_1062.
  -  Fix for SATA CDROM recovery failure sometimes.
  -  Fix some file dim error issue.
  -  Fix Klocwork critical issues.
  -  Modify the FSC setup option strings.

================================================================================
                                R0032
================================================================================
  -  Sync Xeon(R) 3400 series CPU MRC 1.2 and add me policy.
  -  Intel(R) 3420 Chipset PCH Reference Code 1.03 Sync
  -  PCIe error logging code framework
  -  When insert NVS440 card to PCIE Slot5 or Slot6,system will hang.
  -  System Boot Timeout default value is mismatch with help info.
  -  No any error message for password was cleared in the BIOS setup.
  -  Fixed cpu works low frequency when eist and ht disable.
  -  No post led and beep code when no memory is populated with Core(R) i3 CPU.
  -  Fix default FAN PWM in setup menu can't reach to low 100%
  -  ECC scrub for Core(R) i3 CPU.
  -  Fix the incorrect ME binary path.
  -  Add back the MP table in LegacyBios.
 
================================================================================
                                R0031
================================================================================
  -  Core(R) i3 CPU Memory Error logging support.
  -  Core(R) i3 CPU VT-d support.
  -  ME-FW version display in decimal.
  -  Core(R) i3 CPU slot6 lost issue.
  -  Fixed Slot5 down to PCIe x1 issue.
  -  The Fan Speed Value is incorrect in BIOS Register. 
  -  SIO voltage monitoring P5V/P12V test fail.
  -  Hide the ACPI 1.0 item in BIOS Setup.
  -  The system automatically resumed from S1 Mode. 
  -  There is one uncorrectable parity error log with Core (R) i3 CPU every boot.
  -  Setup BMC variable can't be set when channel is 3.
  -  Fix MRC didn't send Memory_init_done message to ME F/W.
  -  Fix 3085 card works at x1 speed.
  -  Add ECC error feature for Core(R) i3 CPU.
  -  Sync security code from ICBD

================================================================================
                                R0030
================================================================================
  -  *Dale mrc 1.0 sync.
  -  Core(R) i3 C2 CPU processor microcode update to 08.
  -  Fix the issue of not detecting any USB device after recoverying from USB dis.k 
  -  There is no error code in error manager of setup when populated correctable 
     error DIMM.
  -  Diagnostic LED major error code 0xB2 and 0xED are alternate twinkle when 
     populate mixed memory.
  -  QPI Link Frequency show unknown with Core(R) i3 CPU.
  -  Core(R) i3 C2 CPU can't support PCIE slot6&5.
  -  Memory Post Error Code show error when populate more than two QR memorys. 
  -  Create variables till NVRAM store is full,Win2k8 still can install.
  -  BIOS Boot performance tuning (PCI device enumaration).
  -  BIOS Boot performance tuning (Enable DP tool).
  -  BIOS Boot performance tuning in HECI.
  -  Fix *Dale reference code error according 1.0 BIOS spec.
  -  Fixed the issue of not detecting SATA device under SW RAID mode, which is 
     brought by pch 1.02 sync.
  -  Fix SetupBMC use Boot Service memory after change this moudle to RunTime moudle
  -  Fix install UEFI blue screen issue.
  -  Dynamically show event log in setup
  -  Upgrade the Ignition ME FW to 6.0.20.1185
  -  PCH reference code 1.02 sync
  -  Event log for thermal trip

================================================================================
                                R0029
================================================================================
  -  Fix Core(R) i3-540 C2 CPU unable to boot issue

================================================================================
                                R0028
================================================================================
  -  Core(R) i3 C2 CPU bootable issue.
  -  *Dale reference code upgrade to V1.0.
  -  Winbond flash part W25Q64BV support.
  -  Fix IIO selftest errors.
  -  LED status issue on SATA back panel.
  -  Update BIOS SETUP strings according to BIOS EPS V1.0.
  -  PCIe slot2 info is incorrect on S3420GPLC board.
  -  SAS module show incorrect location in Win2k8.
================================================================================
                               R0027
================================================================================
  -  Enhance manageability (SMBIOS) via OOB 
  -  BMC Onboard NIC & RMM3 NIC configurable via BIOS SETUP
  -  C6 and C3 hidden setup option
  -  Fix the system halted after pressing "Pause" key
  -  Windows 2008 32bit system show incorrect location about PCIE slot5 location
  
  
================================================================================ 
                                R0026
================================================================================
  -  Local USB KB can't work in 1 min with hot-plug in USB FDD under DOS
  -  SAS module fatal error issue
  -  Hiding USB 2.0 disable/enable item due to RMH=1

================================================================================
				R0025
================================================================================
  -  After mount a virtual device,keyboard no response during POST within KVM session
  -  Function keys can hardly work during POST from KVM session
  -  SLSE 32bit installation failed because system happen to DMI uncorrectable error
  -  PCIe power down timing issue
  -  SMBIOS don't know DIMM_A3 information
  -  No error message in error manager when fault DIMM populated
  -  Fatal error captured on SAS module by ITP
  -  PCH EDS 1.54 Update of the USBIRC register

================================================================================
				R0024
================================================================================
  -  IIO Ref code v1.10 update
  -  Sync *field MRC1.1
  -  monoBIOS code for S3420GPV
  -  PCI Express* error injection fail on slot 4/5/6 via E2969A PTC card
  -  82578DM disconnected during Run S5 stress in Win2k3 32bit
  -  No error message in error manager when fault DIMM populated
  -  When use ipmitool build connection, SOL transition will lost
  -  Individual PXE boot through NIC1/NIC2 test fail
  -  Shutdown OS fail under Windows 2008 64bit UEFI OS
  -  RHEL OS show ACPI PCT error during OS POST
  -  No WHEA log when inject UCE in Win2k8
  -  Windows 2008 32bit show incorrect location about slot5
  -  Intel VT for directed I/O test failed with VT compliant checkout tool
  
================================================================================
                                R0023
================================================================================
  -  ME.CAP update support
  -  EDS 1.52 USB SI settings update
  -  Fix USB KB/MS hang issue in EHCI SVID
  -  windows 2008 64bit UEFI OS boot option show error under AHCI mode
  -  PCIe slot add-in card detection fix
  -  Change SATA setup string SW Raid mode to ESRT2

================================================================================
				R0022
================================================================================
  -  black screen issue during OS DC cycling test
  -  LSI SWRAID OPROM is updated
  -  Fix SMM security issue during logo update
  -  Modify UHCI defination in DSDT and redefined EHCI PIRQ for RMH enabled


[END OF RELEASE NOTES]
